Subject: Re: 83xx HDLC Driver Dev - Multiple PHYs?

From: Jochen Friedrich <[email-masked]>
Date: Sat, 02 Feb 2008 21:36:46 +0100

Hi Russell,

> I am putting support for multiple PHY's into the HDLC driver, but after
> converting it to use the of_device tree, and inserting a UCC@5000 for a
> single UCC HDLC driver, it occurred to me that if I insert more devices
> (UCC@6000, UCC@7000, UCC@8000) that the driver will attempt to load multiple
> times.

The module should only be loaded once. If the driver attempts to load multiple
times, this looks like a userscpace bug.

Thanks,
Jochen